summaryrefslogtreecommitdiffstats
path: root/source/l/libglade/libglade.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libglade/libglade.SlackBuild')
-rwxr-xr-xsource/l/libglade/libglade.SlackBuild34
1 files changed, 29 insertions, 5 deletions
diff --git a/source/l/libglade/libglade.SlackBuild b/source/l/libglade/libglade.SlackBuild
index c9153b506..d8973a4e7 100755
--- a/source/l/libglade/libglade.SlackBuild
+++ b/source/l/libglade/libglade.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,18 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-2.6.4}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo libglade-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-4}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -40,12 +49,15 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-tar xvf $CWD/libglade-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/libglade-$VERSION.tar.?z* || exit 1
cd libglade-$VERSION || exit 1
chown -R root:root .
find . \
@@ -70,6 +82,10 @@ make install DESTDIR=$PKG
# Hello! --enable-static=no seemed to mean something when ./configure ran...
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libglade*.a
+## [make that, we _wish_ these .la files _could_ go]
+## These .la files can go.
+#rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libglade*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -81,6 +97,14 @@ cp -a \
ln -s /usr/share/gtk-doc/html/libglade html
)
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc